#pragma once

#include <windows.h>
#include <string>
#include <osc/OscReceivedElements.h>

#define DLLEXPORT __declspec(dllexport)

#define OSC_TYPE_NONE	0
#define OSC_TYPE_INT	1
#define OSC_TYPE_FLOAT	2
#define OSC_TYPE_STRING	3
#define OSC_TYPE_ALL	255

extern "C" DLLEXPORT int open(HWND targetWindowHandle, unsigned int port);
extern "C" DLLEXPORT int close();
extern "C" DLLEXPORT int addListener(LPCSTR address, unsigned int messageID, unsigned int dataType = OSC_TYPE_ALL);
extern "C" DLLEXPORT int removeListener(LPCSTR address);
extern "C" DLLEXPORT int handleOscMsg(const osc::ReceivedMessage & m);
extern "C" DLLEXPORT int testMsg(HWND windowHandle, unsigned int messageID);
