#SingleInstance, Force
SendMode Input
SetWorkingDir, %A_ScriptDir%
Gui +LastFound
hWnd := WinExist()

stdout := FileOpen("tmp.log", "w")
stdout.WriteLine("START")

retOnMsg := OnMessage(0x1000, "msghandler")
stdout.Write("OnMessage: ")
stdout.WriteLine(retOnMsg)
OnExit("exithandler")

hModule := DllCall("LoadLibrary", "Str", "x64\Debug\OSC2AHK.dll", "Ptr")  ; Avoids the need for DllCall() in the loop to load the library.
stdout.Write("DLL handle: ")
stdout.WriteLine(hModule)

; ret := DllCall("OSC2AHK.dll\testMsg", UInt,hWnd, UInt,0x1000)
; stdout.WriteLine("DLL call:")
; stdout.WriteLine(ret)

ret3 := DllCall("OSC2AHK.dll\open", UInt, hWnd, UInt, 7002)
stdout.Write("DLL open: ")
stdout.WriteLine(ret3)

ret2 := DllCall("OSC2AHK.dll\addListener", AStr, "/test", UInt, 0x1001, UInt, 1)
retOnMsg := OnMessage(0x1001, "msghandler")
stdout.Write("DLL addListener: ")
stdout.WriteLine(ret2)

;ret3 := DllCall("OSC2AHK.dll\close")
;stdout.Write("DLL close: ")
;stdout.WriteLine(ret3)

; ret3 := DllCall("OSC2AHK.dll\open", UInt, hWnd, UInt, 7002)
; stdout.Write("DLL open: ")
; stdout.WriteLine(ret3)

DllCall("OSC2AHK.dll\addListener", AStr, "/test2", UInt, 0x1001, UInt, 1)
DllCall("OSC2AHK.dll\addListener", AStr, "/test3", UInt, 0x1002, UInt, 255)
OnMessage(0x1002, "msghandlerfloat")
DllCall("OSC2AHK.dll\removeListener", AStr, "/test2")
; retOnMsg := OnMessage(0x1001, "msghandler")
; stdout.Write("DLL addListener: ")
; stdout.WriteLine(ret2)

stdout.Close()

return

msghandler(wParam, lParam, msg, hwnd) {
    stdout := FileOpen("tmp.log", "a")
    stdout.Write("Received MSG: ")
    stdout.Write(msg)
    stdout.write(" ")
    stdout.Write(wParam)
    stdout.write(" ")
    stdout.WriteLine(lParam)
    stdout.Close()
}

msghandlerfloat(wParam, lParam, msg, hwnd) {
    stdout := FileOpen("tmp.log", "a")
    thefloat := NumGet(lParam, 0, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 1, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 2, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 3, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 4, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 5, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 6, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 7, "Float")
    stdout.WriteLine(thefloat)
    thefloat := NumGet(lParam, 8, "Float")
    stdout.WriteLine(thefloat)
}

exithandler() {
    stdout := FileOpen("tmp.log", "a")
    stdout.WriteLine("The End")
    stdout.Close()
}

do_exit:
ExitApp
return ; unnecessary redundancy?

Esc::GoSub, do_exit